Bug 430876 - libvirt: fix segmentation fault when buffer needs to be reallocated
Summary: libvirt: fix segmentation fault when buffer needs to be reallocated
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: ZStream
Depends On: 287811
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-30 10:57 UTC by RHEL Product and Program Management
Modified: 2009-12-14 21:01 UTC (History)
3 users (show)

Fixed In Version: RHBA-2008-0189
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 20:22:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0189 normal SHIPPED_LIVE libvirt bug fix update 2008-03-18 20:22:17 UTC

Description RHEL Product and Program Management 2008-01-30 10:57:54 UTC
This bug has been copied from bug #287811 and has been proposed
to be backported to 5.1 z-stream (EUS).

Comment 2 Bill Burns 2008-02-01 14:11:43 UTC
Set dev ack for Daniel.


Comment 3 Daniel Veillard 2008-03-05 14:39:06 UTC
libvirt-0.2.3-9.el5_1.1 has been built in RHEL-5.1-Z-candidate with the patch,

Daniel

Comment 6 Martin Jenner 2008-03-14 15:50:25 UTC
Verified bz using testcase in bz 287811 - this testcase is reallly to prove the
xml can be created. which i confirmed with virsh dumpxml guest

Comment 7 Martin Jenner 2008-03-14 15:52:35 UTC
it should also be noted that the testcase used in commnet #6 creates an
unsupported guest that crashes on bootup - we do not support above 3 vif
interfaces for rhel5.1

Comment 8 Masahiro Matsuya 2008-03-18 01:25:57 UTC
> we do not support above 3 vif interfaces for rhel5.1

Where is the limitation written? I cannot find that in the release note of rhel5.1.

Comment 10 errata-xmlrpc 2008-03-18 20:22:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0189.html



Note You need to log in before you can comment on or make changes to this bug.